<?php
  /**************************************************************************\
  * phpGroupWare app (NNTP)                                               *
  * http://www.phpgroupware.org                                              *
  * Written by Mark Peters <mpeters@satx.rr.com>                             *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

	/* $Id: functions.inc.php,v 1.25 2001/04/21 12:40:42 milosch Exp $ */
	$d1 = strtolower(substr($phpgw_info['server']['app_inc'],0,3));
	if($d1 == 'htt' || $d1 == 'ftp' )
	{
		echo 'Failed attempt to break in via an old Security Hole!<br>'."\n";
		$phpgw->common->phpgw_exit();
	}
	unset($d1);

	if (floor(phpversion()) == 4)
	{
		global $nntp, $folder, $msgnum;
	}

	if($folder && $msgnum)
	{
		$param = Array(
			'folder'	=> $folder,
			'msgnum'	=> $msgnum
		);
		$nntp = CreateObject('nntp.nntp',$param);
	}
	else
	{
		$nntp = CreateObject('nntp.nntp');
	}
?>
